package com.sunxung.factoring.service.sys.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sunxung.factoring.entity.sys.UserDO;
import com.sunxung.factoring.mapper.sys.CUserMapper;
import com.sunxung.factoring.service.sys.CUserService;
import org.springframework.stereotype.Service;

/**
 * @author 张超
 * @date 2023-08-15
 */
@Service
public class CUserServiceImpl extends ServiceImpl<CUserMapper, UserDO> implements CUserService {

    @Override
    public UserDO get(Long sysUserId) {
        return baseMapper.get(sysUserId);
    }

    @Override
    public UserDO getByLoginName(String loginName) {
        return baseMapper.getByLoginName(loginName);
    }
}

